# 비디오 광고 리포트

{% hint style="info" %}
SSP :arrow\_right: DSP
{% endhint %}

CJ 메조미디어 SSP는 DSP에게 Report api를 아래와 같이 호출합니다.\
SSP에게 전달하는 response는 json array형태이며, 대소문자 구분합니다. DSP API를 호출할 때 별도 주의할 점이나 추가사항이 있으시면 연동 협의를 진행할 때 공유해주시기 바랍니다.

## **API 호출 URL**

| request Url          | Description                |
| -------------------- | -------------------------- |
| http\://{DSP domain} | 자사에서 호출 가능한 DSP 매체 api url |

## **API Request 파라미터 구성**

<table><thead><tr><th width="131">Parameter</th><th width="102">Scope</th><th width="395">Description</th><th>Sample</th></tr></thead><tbody><tr><td>key</td><td>optional</td><td>dsp에서 ssp 별로 정의가 필요하시면 사용하시면됩니다.</td><td>44800908</td></tr><tr><td>sdate</td><td>required</td><td>일자별 검색할 시작일(yyyy-mm-dd)</td><td>2019-01-01</td></tr><tr><td>edate</td><td>required</td><td>일자별 검색할 종료일(yyyy-mm-dd)</td><td>2019-01-01</td></tr></tbody></table>

## **API Response 구성**

| Parameter | Description           |
| --------- | --------------------- |
| date      | 해당일(2018-10-02)       |
| pubid     | 대상 site ID 또는 app ID  |
| request   | 요청 count              |
| imps      | 노출 count              |
| view      | 시청 count              |
| q1        | start count           |
| q2        | firstQuartile count   |
| q3        | midpoint count        |
| q4        | thirdQuartile count   |
| q5        | complete count        |
| click     | click count           |
| revenue   | 매체수익금 ( 부가세별도 )       |
| …         | 추가적인 값이 있으면 공유부탁드립니다. |

### **Report API Sample**

<table><thead><tr><th width="576">Sample url</th><th>Description</th></tr></thead><tbody><tr><td>{DSP URL}?key={keyvalue}&#x26;sdate=2018-09-30&#x26;edate=2018-10-03</td><td>key값이 있을 경우</td></tr><tr><td>{DSP URL}?sdate=2018-09-30&#x26;edate=2018-10-03</td><td>key값이 없을 경우</td></tr></tbody></table>

### **Report API Response Sample**

{% code lineNumbers="true" %}

```xml
{
    "data" :[ 
        {
            "date":"20181017",
            "pubid":"da123dfd45645",
            "request":333,
            "imps":333,
            "view":333,
            "q1":333,
            "q2":333,
            "q3":333,
            "q4":333,
            "q5":333,
            "click":333,
            "revenue":333
        },
        ...
    ]
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.targetpick.io/for-dsp/report-api/video.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
